<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::ScaleControllerFunction Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1ScaleControllerFunction.html">Ogre::ScaleControllerFunction</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ScaleControllerFunction.html#7c920fe250fc003fb45e819ed058c824">calculate</a>(Real source)</td><td><a class="el" href="classOgre_1_1ScaleControllerFunction.html">Ogre::ScaleControllerFunction</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ControllerFunction.html#0f77d037a78ce3b430c0a18fbe711df0">Ogre::ControllerFunction::calculate</a>(T sourceValue)=0</td><td><a class="el" href="classOgre_1_1ControllerFunction.html">Ogre::ControllerFunction&lt; T &gt;</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ControllerFunction.html#e7f7207fb3ce7e252fef5941da9ebc24">ControllerFunction</a>(bool deltaInput)</td><td><a class="el" href="classOgre_1_1ControllerFunction.html">Ogre::ControllerFunction&lt; T &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ControllerFunction.html#6c6a617c6db75b58e3e1a8a2e9dbed8e">getAdjustedInput</a>(T input)</td><td><a class="el" href="classOgre_1_1ControllerFunction.html">Ogre::ControllerFunction&lt; T &gt;</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ControllerFunction.html#ddf729e6eb31d54c20e9bb48b116252e">mDeltaCount</a></td><td><a class="el" href="classOgre_1_1ControllerFunction.html">Ogre::ControllerFunction&lt; T &gt;</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ControllerFunction.html#5141c8004f8393f985a6c06fafdb50c5">mDeltaInput</a></td><td><a class="el" href="classOgre_1_1ControllerFunction.html">Ogre::ControllerFunction&lt; T &gt;</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ScaleControllerFunction.html#4dd32e9e1e057b4abf391fa5eb4f89e5">mScale</a></td><td><a class="el" href="classOgre_1_1ScaleControllerFunction.html">Ogre::ScaleControllerFunction</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ScaleControllerFunction.html#3e6000bf99e2f0ebd5fbbf3cb4c74338">ScaleControllerFunction</a>(Real scalefactor, bool deltaInput)</td><td><a class="el" href="classOgre_1_1ScaleControllerFunction.html">Ogre::ScaleControllerFunction</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ControllerFunction.html#00ae7d50d2009c39e90a623e47a451c3">~ControllerFunction</a>()</td><td><a class="el" href="classOgre_1_1ControllerFunction.html">Ogre::ControllerFunction&lt; T &gt;</a></td><td><code> [virtual]</code></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:51:51 2008
</p>
</body>
</html>
